## ros-noetic-switchbot-ros 2.1.28

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(switchbot_ros)

find_package(
  catkin REQUIRED COMPONENTS
  message_generation
  actionlib_msgs
)

catkin_python_setup()

add_message_files(
  FILES
  Device.msg
  DeviceArray.msg
)

add_action_files(
  DIRECTORY action
  FILES SwitchBotCommand.action
)

generate_messages(
  DEPENDENCIES
  actionlib_msgs
)

catkin_package()

include_directories()

# install
# euslisp
file(GLOB EUSLISP_SCRIPTS scripts/*.l)
install(FILES ${EUSLISP_SCRIPTS}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
# python
file(GLOB PYTHON_SCRIPTS scripts/*.py)
catkin_install_python(
  PROGRAMS ${PYTHON_SCRIPTS}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
# launch
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-noetic-switchbot-ros (2.1.28-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 23 Jul 2023 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.27-1focal) focal; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 23 Jun 2023 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.26-1focal) focal; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 Jun 2023 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.25-1focal) focal; urgency=high

  * [switchbot_ros] add actionlib_msgs and std_msgs as build_depend (#357 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/357>)
  * [switchbot_ros] add obinata as maintainer for switchbot_ros (#358 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/358>)
  * Pr/add switchbot device list publisher (#344 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/344>)
  * [switchbot_ros] update switchbot_ros client (#345 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/345>)
  * [chaplus_ros][switchbot_ros]fix exec_depend in ros noetic (#332 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/332>)
  * [switchbot_ros] update ReadMe.md (#324 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/324>)
  * [switchbot_ros] Sort device_list (#331 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/331>)
  * [switchbot_ros] remove catching base exception and output more specific key error when the switchbot id not exists on the server (#321 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/321>)
  * add install section to switchbot_ros/CMakeLists.txt (#294 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/294>)
  * [switchbot_ros] use python setup to avoid relative import in switchbot_ros (#278 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/278>)
  * [switchbot_ros] catch the exception when init the node (#279 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/279>)
  * Contributors: Kei Okada, Koki Shinjo, Naoya Yamaguchi, Shingo Kitagawa, Yoshiki Obinata, Iory Yanokura

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 07 Jun 2023 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.24-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 25 Jul 2021 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.23-1focal) focal; urgency=high

  * add rosnode for switchbot (#260 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/260>)
  * Contributors: Yoshiki Obinata

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 20 Jul 2021 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.22-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 09 Jun 2021 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.21-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 18 Aug 2020 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.20-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 06 Aug 2020 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.19-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.18-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 19 Jul 2020 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.17-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 12:51:00 -0000

ros-noetic-switchbot-ros (2.1.16-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 06:21:00 -0000

ros-noetic-switchbot-ros (2.1.15-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 11 Dec 2019 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.14-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 20 Nov 2019 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.13-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 09 Jul 2019 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.12-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 24 May 2019 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.11-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 28 Aug 2018 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.10-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 Apr 2018 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.9-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 23 Apr 2018 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.8-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 16 Apr 2018 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.7-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 08 Apr 2018 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.6-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Nov 2017 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.5-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 19 Nov 2017 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.4-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.3-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 06 Jul 2017 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.2-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 05 Jul 2017 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.1-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 04 Jul 2017 15:00:00 -0000

ros-noetic-switchbot-ros (2.1.0-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 01 Jul 2017 15:00:00 -0000



=== debian/control ===
Source: ros-noetic-switchbot-ros
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-noetic-actionlib, ros-noetic-actionlib-msgs, ros-noetic-catkin, ros-noetic-message-generation
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-switchbot-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-requests, ros-noetic-actionlib, ros-noetic-actionlib-msgs, ros-noetic-message-runtime, ros-noetic-rospy
Description: use switchbot with ros

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-switchbot-ros//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
